{
    "doc": "An evidence entry and the variants coordinates to which it corresponds",
    "fields": [
        {
            "name": "variantsCoordinates",
            "type": {
                "doc": "A list of variant coordinates",
                "fields": [
                    {
                        "default": [],
                        "name": "variants",
                        "type": {
                            "items": {
                                "doc": "The variant coordinates representing uniquely a small variant.\n    No multi-allelic variant supported, alternate only represents one alternate allele.",
                                "fields": [
                                    {
                                        "doc": "Chromosome",
                                        "name": "chromosome",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "Genomic position",
                                        "name": "position",
                                        "type": "int"
                                    },
                                    {
                                        "doc": "The reference bases.",
                                        "name": "reference",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "The alternate bases",
                                        "name": "alternate",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "The assembly to which this variant corresponds",
                                        "name": "assembly",
                                        "type": {
                                            "doc": "The reference genome assembly",
                                            "name": "Assembly",
                                            "symbols": [
                                                "GRCh38",
                                                "GRCh37"
                                            ],
                                            "type": "enum"
                                        }
                                    }
                                ],
                                "name": "VariantCoordinates",
                                "namespace": "org.gel.models.report.avro",
                                "type": "record"
                            },
                            "type": "array"
                        }
                    }
                ],
                "name": "VariantsCoordinates",
                "type": "record"
            }
        },
        {
            "name": "markersCoordinates",
            "type": [
                "null",
                "VariantsCoordinates"
            ]
        },
        {
            "name": "evidenceEntry",
            "type": {
                "doc": "An entry for an evidence",
                "fields": [
                    {
                        "doc": "Source of the evidence",
                        "name": "source",
                        "type": {
                            "doc": "The source of an evidence.",
                            "fields": [
                                {
                                    "doc": "Name of source",
                                    "name": "name",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "doc": "Version of source",
                                    "name": "version",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "doc": "The source date.",
                                    "name": "date",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                }
                            ],
                            "name": "EvidenceSource",
                            "type": "record"
                        }
                    },
                    {
                        "default": [],
                        "doc": "The list of submissions",
                        "name": "submissions",
                        "type": {
                            "items": {
                                "doc": "The submission information",
                                "fields": [
                                    {
                                        "doc": "The submitter",
                                        "name": "submitter",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "The submission date",
                                        "name": "date",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "The submission id",
                                        "name": "id",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    }
                                ],
                                "name": "EvidenceSubmission",
                                "type": "record"
                            },
                            "type": "array"
                        }
                    },
                    {
                        "doc": "The somatic information",
                        "name": "somaticInformation",
                        "type": [
                            "null",
                            {
                                "doc": "The somatic information.",
                                "fields": [
                                    {
                                        "doc": "The primary site",
                                        "name": "primarySite",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "The primary site subtype",
                                        "name": "siteSubtype",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "The primary histology",
                                        "name": "primaryHistology",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "The histology subtype",
                                        "name": "histologySubtype",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "The tumour origin",
                                        "name": "tumourOrigin",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "The sample source, e.g. blood-bone marrow, cell-line, pancreatic",
                                        "name": "sampleSource",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    }
                                ],
                                "name": "SomaticInformation",
                                "type": "record"
                            }
                        ]
                    },
                    {
                        "doc": "URL of source if any",
                        "name": "url",
                        "type": [
                            "null",
                            "string"
                        ]
                    },
                    {
                        "doc": "ID of record in the source",
                        "name": "id",
                        "type": [
                            "null",
                            "string"
                        ]
                    },
                    {
                        "doc": "The reference genome assembly",
                        "name": "assembly",
                        "type": [
                            "null",
                            "string"
                        ]
                    },
                    {
                        "doc": "List of allele origins",
                        "name": "alleleOrigin",
                        "type": [
                            "null",
                            {
                                "items": {
                                    "doc": "Variant origin.\n\n* `SO_0001781`: de novo variant. http://purl.obolibrary.org/obo/SO_0001781\n* `SO_0001778`: germline variant. http://purl.obolibrary.org/obo/SO_0001778\n* `SO_0001775`: maternal variant. http://purl.obolibrary.org/obo/SO_0001775\n* `SO_0001776`: paternal variant. http://purl.obolibrary.org/obo/SO_0001776\n* `SO_0001779`: pedigree specific variant. http://purl.obolibrary.org/obo/SO_0001779\n* `SO_0001780`: population specific variant. http://purl.obolibrary.org/obo/SO_0001780\n* `SO_0001777`: somatic variant. http://purl.obolibrary.org/obo/SO_0001777",
                                    "name": "AlleleOrigin",
                                    "symbols": [
                                        "de_novo_variant",
                                        "germline_variant",
                                        "maternal_variant",
                                        "paternal_variant",
                                        "pedigree_specific_variant",
                                        "population_specific_variant",
                                        "somatic_variant"
                                    ],
                                    "type": "enum"
                                },
                                "type": "array"
                            }
                        ]
                    },
                    {
                        "default": [],
                        "doc": "Heritable traits associated to this evidence",
                        "name": "heritableTraits",
                        "type": {
                            "items": {
                                "doc": "The entity representing a phenotype and its inheritance pattern.",
                                "fields": [
                                    {
                                        "doc": "The trait (e.g.: HPO term, MIM term, DO term etc.)",
                                        "name": "trait",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "The mode of inheritance",
                                        "name": "inheritanceMode",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "An enumeration for the different mode of inheritances:\n\n* `monoallelic_not_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, not imprinted\n* `monoallelic_maternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, maternally imprinted (paternal allele expressed)\n* `monoallelic_paternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, paternally imprinted (maternal allele expressed)\n* `monoallelic`: MONOALLELIC, autosomal or pseudoautosomal, imprinted status unknown\n* `biallelic`: BIALLELIC, autosomal or pseudoautosomal\n* `monoallelic_and_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal\n* `monoallelic_and_more_severe_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal (but BIALLELIC mutations cause a more SEVERE disease form), autosomal or pseudoautosomal\n* `xlinked_biallelic`: X-LINKED: hemizygous mutation in males, biallelic mutations in females\n* `xlinked_monoallelic`: X linked: hemizygous mutation in males, monoallelic mutations in females may cause disease (may be less severe, later onset than males)\n* `mitochondrial`: MITOCHONDRIAL\n* `unknown`: Unknown\n* `NA`: Not applicable",
                                                "name": "ModeOfInheritance",
                                                "symbols": [
                                                    "monoallelic",
                                                    "monoallelic_not_imprinted",
                                                    "monoallelic_maternally_imprinted",
                                                    "monoallelic_paternally_imprinted",
                                                    "biallelic",
                                                    "monoallelic_and_biallelic",
                                                    "monoallelic_and_more_severe_biallelic",
                                                    "xlinked_biallelic",
                                                    "xlinked_monoallelic",
                                                    "mitochondrial",
                                                    "unknown",
                                                    "NA"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    }
                                ],
                                "name": "HeritableTrait",
                                "type": "record"
                            },
                            "type": "array"
                        }
                    },
                    {
                        "default": [],
                        "doc": "The transcript to which the evidence refers",
                        "name": "genomicFeatures",
                        "type": {
                            "items": {
                                "doc": "The genomic feature",
                                "fields": [
                                    {
                                        "doc": "Feature Type",
                                        "name": "featureType",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "The feature types",
                                                "name": "FeatureTypes",
                                                "symbols": [
                                                    "regulatory_region",
                                                    "gene",
                                                    "transcript",
                                                    "protein"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "Feature used, this should be a feature ID from Ensembl, (i.e, ENST00000544455)",
                                        "name": "ensemblId",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "Others IDs. Fields like the HGNC symbol if available should be added here",
                                        "name": "xrefs",
                                        "type": [
                                            "null",
                                            {
                                                "type": "map",
                                                "values": "string"
                                            }
                                        ]
                                    }
                                ],
                                "name": "GenomicFeature",
                                "type": "record"
                            },
                            "type": "array"
                        }
                    },
                    {
                        "doc": "The variant classification",
                        "name": "variantClassification",
                        "type": [
                            "null",
                            {
                                "doc": "The variant classification according to different properties.",
                                "fields": [
                                    {
                                        "doc": "The variant's clinical significance.",
                                        "name": "clinicalSignificance",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "Mendelian variants classification with ACMG terminology as defined in Richards, S. et al. (2015). Standards and\n        guidelines for the interpretation of sequence variants: a joint consensus recommendation of the American College\n        of Medical Genetics and Genomics and the Association for Molecular Pathology. Genetics in Medicine, 17(5),\n        405\u2013423. https://doi.org/10.1038/gim.2015.30.\n\n    Classification for pharmacogenomic variants, variants associated to\n    disease and somatic variants based on the ACMG recommendations and ClinVar classification\n    (https://www.ncbi.nlm.nih.gov/clinvar/docs/clinsig/).\n\n* `benign_variant` : Benign variants interpreted for Mendelian disorders\n* `likely_benign_variant` : Likely benign variants interpreted for Mendelian disorders with a certainty of at least 90%\n* `pathogenic_variant` : Pathogenic variants interpreted for Mendelian disorders\n* `likely_pathogenic_variant` : Likely pathogenic variants interpreted for Mendelian disorders with a certainty of at\nleast 90%\n* `uncertain_significance` : Uncertain significance variants interpreted for Mendelian disorders. Variants with\nconflicting evidences should be classified as uncertain_significance",
                                                "name": "ClinicalSignificance",
                                                "symbols": [
                                                    "benign",
                                                    "likely_benign",
                                                    "VUS",
                                                    "likely_pathogenic",
                                                    "pathogenic",
                                                    "uncertain_significance"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "The variant's pharmacogenomics classification.",
                                        "name": "drugResponseClassification",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "Pharmacogenomics drug response variant classification\n* `responsive` : A variant that confers response to a treatment\n* `resistant` : A variant that confers resistance to a treatment\n* `toxicity` : A variant that is associated with drug-induced toxicity\n* `indication` : A variant that is required in order for a particular drug to be prescribed\n* `contraindication` : A variant that if present, a particular drug should not be prescribed\n* `dosing` : A variant that results in an alteration in dosing of a particular drug in order to achieve INR, reduce toxicity or increase efficacy\n* `increased_monitoring` : increase vigilance or increased dosage monitoring may be required for a patient with this variant to look for signs of adverse drug reactions\n* `efficacy` : a variant that affects the efficacy of the treatment",
                                                "name": "DrugResponseClassification",
                                                "symbols": [
                                                    "responsive",
                                                    "resistant",
                                                    "toxicity",
                                                    "indication",
                                                    "contraindication",
                                                    "dosing",
                                                    "increased_monitoring",
                                                    "efficacy"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "The variant's trait association.",
                                        "name": "traitAssociation",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "Association of variants to a given trait.\n* `established_risk_allele` : Established risk allele for variants associated to disease\n* `likely_risk_allele` : Likely risk allele for variants associated to disease\n* `uncertain_risk_allele` : Uncertain risk allele for variants associated to disease\n* `protective` : Protective allele",
                                                "name": "TraitAssociation",
                                                "symbols": [
                                                    "established_risk_allele",
                                                    "likely_risk_allele",
                                                    "uncertain_risk_allele",
                                                    "protective"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "The variant's tumorigenesis classification.",
                                        "name": "tumorigenesisClassification",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "Variant classification according to its relation to cancer aetiology.\n* `driver` : Driver variants\n* `passenger` : Passenger variants\n* `modifier` : Modifier variants",
                                                "name": "TumorigenesisClassification",
                                                "symbols": [
                                                    "driver",
                                                    "passenger",
                                                    "modifier"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    },
                                    {
                                        "doc": "The variant functional effect",
                                        "name": "functionalEffect",
                                        "type": [
                                            "null",
                                            {
                                                "doc": "Variant effect with Sequence Ontology terms.\n\n* `SO_0002052`: dominant_negative_variant (http://purl.obolibrary.org/obo/SO_0002052)\n* `SO_0002053`: gain_of_function_variant (http://purl.obolibrary.org/obo/SO_0002053)\n* `SO_0001773`: lethal_variant (http://purl.obolibrary.org/obo/SO_0001773)\n* `SO_0002054`: loss_of_function_variant (http://purl.obolibrary.org/obo/SO_0002054)\n* `SO_0001786`: loss_of_heterozygosity (http://purl.obolibrary.org/obo/SO_0001786)\n* `SO_0002055`: null_variant (http://purl.obolibrary.org/obo/SO_0002055)",
                                                "name": "VariantFunctionalEffect",
                                                "symbols": [
                                                    "dominant_negative_variant",
                                                    "gain_of_function_variant",
                                                    "lethal_variant",
                                                    "loss_of_function_variant",
                                                    "loss_of_heterozygosity",
                                                    "null_variant"
                                                ],
                                                "type": "enum"
                                            }
                                        ]
                                    }
                                ],
                                "name": "VariantClassification",
                                "type": "record"
                            }
                        ]
                    },
                    {
                        "doc": "Impact of evidence. Should be coherent with the classification of impact if provided.",
                        "name": "impact",
                        "type": [
                            "null",
                            {
                                "doc": "Evidence of pathogenicity and benign impact as defined in Richards, S. et al. (2015). Standards and guidelines for the interpretation\n    of sequence variants: a joint consensus recommendation of the American College of Medical Genetics and Genomics and\n    the Association for Molecular Pathology. Genetics in Medicine, 17(5), 405\u2013423. https://doi.org/10.1038/gim.2015.30\n\nEvidence of pathogenicity:\n* `very_strong`:\n    - PVS1 null variant (nonsense, frameshift, canonical \u00b11 or 2 splice sites, initiation codon, single or multiexon\n    deletion) in a gene where LOF is a known mechanism of disease\n* `strong`:\n    - PS1 Same amino acid change as a previously established pathogenic variant regardless of nucleotide change\n    - PS2 De novo (both maternity and paternity confirmed) in a patient with the disease and no family history\n    - PS3 Well-established in vitro or in vivo functional studies supportive of a damaging effect on the gene or gene\n    product\n    - PS4 The prevalence of the variant in affected individuals is significantly increased compared with the prevalence\n    in controls\n* `moderate`:\n    - PM1 Located in a mutational hot spot and/or critical and well-established functional domain (e.g., active site of\n    an enzyme) without benign variation\n    - PM2 Absent from controls (or at extremely low frequency if recessive) in Exome Sequencing Project, 1000 Genomes\n    Project, or Exome Aggregation Consortium\n    - PM3 For recessive disorders, detected in trans with a pathogenic variant\n    - PM4 Protein length changes as a result of in-frame deletions/insertions in a nonrepeat region or stop-loss\n    variants\n    - PM5 Novel missense change at an amino acid residue where a different missense change determined to be pathogenic\n    has been seen before\n    - PM6 Assumed de novo, but without confirmation of paternity and maternity\n* `supporting`:\n    - PP1 Cosegregation with disease in multiple affected family members in a gene definitively known to cause the\n    disease\n    - PP2 Missense variant in a gene that has a low rate of benign missense variation and in which missense variants are\n    a common mechanism of disease\n    - PP3 Multiple lines of computational evidence support a deleterious effect on the gene or gene product\n    (conservation, evolutionary, splicing impact, etc.)\n    - PP4 Patient\u2019s phenotype or family history is highly specific for a disease with a single genetic etiology\n    - PP5 Reputable source recently reports variant as pathogenic, but the evidence is not available to the laboratory\n    to perform an independent evaluation\n\nEvidence of benign impact:\n* `stand_alone`:\n    - BA1 Allele frequency is >5% in Exome Sequencing Project, 1000 Genomes Project, or Exome Aggregation\n    Consortium\n* `strong`:\n    - BS1 Allele frequency is greater than expected for disorder\n    - BS2 Observed in a healthy adult individual for a recessive (homozygous), dominant (heterozygous), or X-linked\n    (hemizygous) disorder, with full penetrance expected at an early age\n    - BS3 Well-established in vitro or in vivo functional studies show no damaging effect on protein function or\n    splicing\n    - BS4 Lack of segregation in affected members of a family\n* `supporting`:\n    - BP1 Missense variant in a gene for which primarily truncating variants are known to cause disease\n    - BP2 Observed in trans with a pathogenic variant for a fully penetrant dominant gene/disorder or observed in cis\n    with a pathogenic variant in any inheritance pattern\n    - BP3 In-frame deletions/insertions in a repetitive region without a known function\n    - BP4 Multiple lines of computational evidence suggest no impact on gene or gene product (conservation,\n    evolutionary, splicing impact, etc.)\n    - BP5 Variant found in a case with an alternate molecular basis for disease\n    - BP6 Reputable source recently reports variant as benign, but the evidence is not available to the laboratory to\n    perform an independent evaluation\n    - BP7 A synonymous (silent) variant for which splicing prediction algorithms predict no impact to the splice\n    consensus sequence nor the creation of a new splice site AND the nucleotide is not highly conserved",
                                "name": "EvidenceImpact",
                                "symbols": [
                                    "very_strong",
                                    "strong",
                                    "moderate",
                                    "supporting",
                                    "stand_alone"
                                ],
                                "type": "enum"
                            }
                        ]
                    },
                    {
                        "doc": "The curation confidence.",
                        "name": "confidence",
                        "type": [
                            "null",
                            {
                                "doc": "Confidence based on the Confidence Information Ontology\n\n* `CIO_0000029`: high confidence level http://purl.obolibrary.org/obo/CIO_0000029\n* `CIO_0000031`: low confidence level http://purl.obolibrary.org/obo/CIO_0000031\n* `CIO_0000030`: medium confidence level http://purl.obolibrary.org/obo/CIO_0000030\n* `CIO_0000039`: rejected http://purl.obolibrary.org/obo/CIO_0000039",
                                "name": "Confidence",
                                "symbols": [
                                    "low_confidence_level",
                                    "medium_confidence_level",
                                    "high_confidence_level",
                                    "rejected"
                                ],
                                "type": "enum"
                            }
                        ]
                    },
                    {
                        "doc": "The consistency status. This is applicable to complex evidences (e.g.: ClinVar)",
                        "name": "consistencyStatus",
                        "type": [
                            "null",
                            {
                                "doc": "The consistency of evidences for a given phenotype. This aggregates all evidences for a given phenotype and all\n    evidences with no phenotype associated (e.g.: in silico impact prediction, population frequency).\n    This is based on the Confidence Information Ontology terms.\n\n* `CIO_0000033`: congruent, all evidences are consistent. http://purl.obolibrary.org/obo/CIO_0000033\n* `CIO_0000034`: conflict, there are conflicting evidences. This should correspond to a `VariantClassification` of\n`uncertain_significance` for mendelian disorders. http://purl.obolibrary.org/obo/CIO_0000034\n* `CIO_0000035`: strongly conflicting. http://purl.obolibrary.org/obo/CIO_0000035\n* `CIO_0000036`: weakly conflicting. http://purl.obolibrary.org/obo/CIO_0000036",
                                "name": "ConsistencyStatus",
                                "symbols": [
                                    "congruent",
                                    "conflict",
                                    "weakly_conflicting",
                                    "strongly_conflicting"
                                ],
                                "type": "enum"
                            }
                        ]
                    },
                    {
                        "doc": "Ethnicity",
                        "name": "ethnicity",
                        "type": {
                            "doc": "This is the list of ethnics in ONS16\n\n* `D`:  Mixed: White and Black Caribbean\n* `E`:  Mixed: White and Black African\n* `F`:  Mixed: White and Asian\n* `G`:  Mixed: Any other mixed background\n* `A`:  White: British\n* `B`:  White: Irish\n* `C`:  White: Any other White background\n* `L`:  Asian or Asian British: Any other Asian background\n* `M`:  Black or Black British: Caribbean\n* `N`:  Black or Black British: African\n* `H`:  Asian or Asian British: Indian\n* `J`:  Asian or Asian British: Pakistani\n* `K`:  Asian or Asian British: Bangladeshi\n* `P`:  Black or Black British: Any other Black background\n* `S`:  Other Ethnic Groups: Any other ethnic group\n* `R`:  Other Ethnic Groups: Chinese\n* `Z`:  Not stated",
                            "name": "EthnicCategory",
                            "symbols": [
                                "D",
                                "E",
                                "F",
                                "G",
                                "A",
                                "B",
                                "C",
                                "L",
                                "M",
                                "N",
                                "H",
                                "J",
                                "K",
                                "P",
                                "S",
                                "R",
                                "Z"
                            ],
                            "type": "enum"
                        }
                    },
                    {
                        "doc": "The penetrance of the phenotype for this genotype. Value in the range [0, 1]",
                        "name": "penetrance",
                        "type": [
                            "null",
                            {
                                "doc": "Penetrance assumed in the analysis",
                                "name": "Penetrance",
                                "symbols": [
                                    "complete",
                                    "incomplete"
                                ],
                                "type": "enum"
                            }
                        ]
                    },
                    {
                        "doc": "Variable expressivity of a given phenotype for the same genotype",
                        "name": "variableExpressivity",
                        "type": [
                            "null",
                            "boolean"
                        ]
                    },
                    {
                        "doc": "Evidence description",
                        "name": "description",
                        "type": [
                            "null",
                            "string"
                        ]
                    },
                    {
                        "default": [],
                        "doc": "A list of additional properties in the form name-value.",
                        "name": "additionalProperties",
                        "type": {
                            "items": {
                                "doc": "A property in the form of name-value pair.\n    Names are restricted to ontology ids, they should be checked against existing ontologies in resources like\n    Ontology Lookup Service.",
                                "fields": [
                                    {
                                        "doc": "The ontology term id or accession in OBO format ${ONTOLOGY_ID}:${TERM_ID} (http://www.obofoundry.org/id-policy.html)",
                                        "name": "id",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "The ontology term name",
                                        "name": "name",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "Optional value for the ontology term, the type of the value is not checked\n        (i.e.: we could set the pvalue term to \"significant\" or to \"0.0001\")",
                                        "name": "value",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    }
                                ],
                                "name": "Property",
                                "type": "record"
                            },
                            "type": "array"
                        }
                    },
                    {
                        "default": [],
                        "doc": "Bibliography",
                        "name": "bibliography",
                        "type": {
                            "items": "string",
                            "type": "array"
                        }
                    }
                ],
                "name": "EvidenceEntry",
                "namespace": "org.opencb.biodata.models.variant.avro",
                "type": "record"
            }
        },
        {
            "name": "actions",
            "type": [
                "null",
                {
                    "doc": "Clinical actions",
                    "fields": [
                        {
                            "name": "trials",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "fields": [
                                            {
                                                "doc": "URL where reference information for this trail can be found",
                                                "name": "studyUrl",
                                                "type": "string"
                                            },
                                            {
                                                "doc": "Trail/Study indetifier",
                                                "name": "studyIdentifier",
                                                "type": "string"
                                            },
                                            {
                                                "doc": "Start date of the study",
                                                "name": "startDate",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "Completion date of the study",
                                                "name": "estimateCompletionDate",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "Title of the study",
                                                "name": "title",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "Study Phase",
                                                "name": "phase",
                                                "type": [
                                                    "null",
                                                    {
                                                        "doc": "N/A: Trials without phases (for example, studies of devices or behavioural interventions).\n    Early Phase 1 (Formerly listed as \"Phase 0\"): Exploratory trials, involving very limited human exposure, with no therapeutic or diagnostic intent (e.g., screening studies, microdose studies). See FDA guidance on exploratory IND studies for more information.\n    Phase 1: Includes initial studies to determine the metabolism and pharmacologic actions of drugs in humans, the side effects associated with increasing doses, and to gain early evidence of effectiveness; may include healthy participants and/or patients.\n    Phase 1/Phase 2: Trials that are a combination of phases 1 and 2.\n    Phase 2: Includes controlled clinical studies conducted to evaluate the effectiveness of the drug for a particular indication or indications in participants with the disease or condition under study and to determine the common short-term side effects and risks.\n    Phase 2/Phase 3: Trials that are a combination of phases 2 and 3.\n    Phase 3: Includes trials conducted after preliminary evidence suggesting effectiveness of the drug has been obtained, and are intended to gather additional information to evaluate the overall benefit-risk relationship of the drug.\n    Phase 4: Studies of FDA-approved drugs to delineate additional information including the drug's risks, benefits, and optimal use.",
                                                        "name": "StudyPhase",
                                                        "symbols": [
                                                            "na",
                                                            "early_phase1",
                                                            "phase1",
                                                            "phase1_phase2",
                                                            "phase2",
                                                            "phase2_phase3",
                                                            "phase3",
                                                            "phase4"
                                                        ],
                                                        "type": "enum"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Interventions",
                                                "name": "interventions",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": {
                                                            "doc": "A process or action that is the focus of a clinical study.\n    Ref. https://prsinfo.clinicaltrials.gov/definitions.html",
                                                            "fields": [
                                                                {
                                                                    "doc": "Intervention type, i.e drug",
                                                                    "name": "interventionType",
                                                                    "type": {
                                                                        "doc": "For each intervention studied in the clinical study, the general type of intervention\n\n* `drug`: Including placebo\n* `device`: Including sham\n* `biological`: Vaccine\n* `procedure`: Surgery\n* `radiation`\n* `behavioral`: For example, psychotherapy, lifestyle counselling\n* `genetic`: Including gene transfer, stem cell and recombinant DNA\n* `dietary_supplement`: For example, vitamins, minerals\n* `combination_product`: Combining a drug and device, a biological product and device; a drug and biological product; or a drug, biological product, and device\n* `diagnostic_test`: For example, imaging, in-vitro\n* `other`\n\n    Ref. https://prsinfo.clinicaltrials.gov/definitions.htm",
                                                                        "name": "InterventionType",
                                                                        "symbols": [
                                                                            "drug",
                                                                            "device",
                                                                            "procedure",
                                                                            "biological",
                                                                            "radiation",
                                                                            "behavioral",
                                                                            "genetic",
                                                                            "dietary_supplement",
                                                                            "combination_product",
                                                                            "diagnostic_test",
                                                                            "other"
                                                                        ],
                                                                        "type": "enum"
                                                                    }
                                                                },
                                                                {
                                                                    "doc": "Intervention name: Placebo",
                                                                    "name": "interventionName",
                                                                    "type": "string"
                                                                }
                                                            ],
                                                            "name": "Intervention",
                                                            "type": "record"
                                                        },
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Conditions",
                                                "name": "conditions",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Primary Purpose of the study",
                                                "name": "primaryPurpose",
                                                "type": [
                                                    "null",
                                                    {
                                                        "doc": "Treatment: One or more interventions are being evaluated for treating a disease, syndrome, or condition.\n    Prevention: One or more interventions are being assessed for preventing the development of a specific disease or health condition.\n    Diagnostic: One or more interventions are being evaluated for identifying a disease or health condition.\n    Supportive Care: One or more interventions are evaluated for maximizing comfort, minimizing side effects, or mitigating against a decline in the participant's health or function.\n    Screening: One or more interventions are assessed or examined for identifying a condition, or risk factors for a condition, in people who are not yet known to have the condition or risk factor.\n    Health Services Research: One or more interventions for evaluating the delivery, processes, management, organization, or financing of healthcare.\n    Basic Science: One or more interventions for examining the basic mechanism of action (for example, physiology or biomechanics of an intervention).\n    Device Feasibility: An intervention of a device product is being evaluated in a small clinical trial (generally fewer than 10 participants) to determine the feasibility of the product; or a clinical trial to test a prototype device for feasibility and not health outcomes. Such studies are conducted to confirm the design and operating specifications of a device before beginning a full clinical trial.\n    Other: None of the other options applies.\n\n    Ref. https://prsinfo.clinicaltrials.gov/definitions.htm",
                                                        "name": "PrimaryPurpose",
                                                        "symbols": [
                                                            "treatment",
                                                            "prevention",
                                                            "diagnostic",
                                                            "supportive_care",
                                                            "screening",
                                                            "health_services_research",
                                                            "basic_science",
                                                            "device_feasibility",
                                                            "other"
                                                        ],
                                                        "type": "enum"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Study Type",
                                                "name": "studyType",
                                                "type": [
                                                    "null",
                                                    {
                                                        "doc": "* `Interventional (clinical trial)`: Participants are assigned prospectively to an intervention or interventions\naccording to a protocol to evaluate the effect of the intervention(s) on biomedical or other health related outcomes.\n* `Observational`: Studies in human beings in which biomedical and/or health outcomes are assessed in pre-defined groups\nof individuals. Participants in the study may receive diagnostic, therapeutic, or other interventions, but the\ninvestigator does not assign specific interventions to the study participants. This includes when participants\nreceive interventions as part of routine medical care, and a researcher studies the effect of the intervention.\n* `Expanded Access`: An investigational drug product (including biological product)\navailable through expanded access for patients who do not qualify for enrollment in a clinical trial.\nExpanded Access includes all expanded access types under section 561 of the Federal Food, Drug, and\nCosmetic Act: (1) for individual patients, including emergency use; (2) for intermediate-size patient populations;\nand (3) under a treatment IND or treatment protocol. (For more information on data requirements for this Study Type,\nsee Expanded Access Data Element Definitions).",
                                                        "name": "StudyType",
                                                        "symbols": [
                                                            "interventional",
                                                            "observational",
                                                            "patient_registry",
                                                            "expanded_access"
                                                        ],
                                                        "type": "enum"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Elegigility Criteria based on Age and Sex",
                                                "name": "demogrphicElegibilityCriteria",
                                                "type": [
                                                    "null",
                                                    {
                                                        "fields": [
                                                            {
                                                                "name": "sex",
                                                                "type": {
                                                                    "doc": "Sex",
                                                                    "name": "Sex",
                                                                    "namespace": "org.gel.models.participant.avro",
                                                                    "symbols": [
                                                                        "MALE",
                                                                        "FEMALE",
                                                                        "UNKNOWN"
                                                                    ],
                                                                    "type": "enum"
                                                                }
                                                            },
                                                            {
                                                                "name": "ageRange",
                                                                "type": [
                                                                    "null",
                                                                    {
                                                                        "fields": [
                                                                            {
                                                                                "name": "minimumAge",
                                                                                "type": "int"
                                                                            },
                                                                            {
                                                                                "name": "maximumAge",
                                                                                "type": "int"
                                                                            },
                                                                            {
                                                                                "name": "timeunit",
                                                                                "type": {
                                                                                    "name": "TimeUnit",
                                                                                    "symbols": [
                                                                                        "years",
                                                                                        "months",
                                                                                        "weeks",
                                                                                        "days",
                                                                                        "hours",
                                                                                        "minutes",
                                                                                        "na"
                                                                                    ],
                                                                                    "type": "enum"
                                                                                }
                                                                            }
                                                                        ],
                                                                        "name": "AgeRange",
                                                                        "type": "record"
                                                                    }
                                                                ]
                                                            }
                                                        ],
                                                        "name": "DemographicElegibilityCriteria",
                                                        "type": "record"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "List with all of the locations where participant can enrolle",
                                                "name": "locations",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": {
                                                            "fields": [
                                                                {
                                                                    "name": "name",
                                                                    "type": [
                                                                        "null",
                                                                        "string"
                                                                    ]
                                                                },
                                                                {
                                                                    "name": "city",
                                                                    "type": [
                                                                        "null",
                                                                        "string"
                                                                    ]
                                                                },
                                                                {
                                                                    "name": "country",
                                                                    "type": [
                                                                        "null",
                                                                        "string"
                                                                    ]
                                                                },
                                                                {
                                                                    "name": "zip",
                                                                    "type": [
                                                                        "null",
                                                                        "string"
                                                                    ]
                                                                }
                                                            ],
                                                            "name": "TrialLocation",
                                                            "type": "record"
                                                        },
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "If true, the association was made using the variant information,\n        if not the association was made at Genomic Entity level",
                                                "name": "variantActionable",
                                                "type": "boolean"
                                            }
                                        ],
                                        "name": "Trial",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "name": "prognosis",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "fields": [
                                            {
                                                "doc": "URL where reference information for this prognosis can be found",
                                                "name": "referenceUrl",
                                                "type": "string"
                                            },
                                            {
                                                "doc": "Prognosis classification (defined as favourable or unfavourable),\n        in the case that the direction of the prognosis is not known altered_prognosis should be used",
                                                "name": "prognosis",
                                                "type": [
                                                    "null",
                                                    {
                                                        "name": "PrognosisClassification",
                                                        "symbols": [
                                                            "altered_prognosis",
                                                            "favourable_prognosis",
                                                            "unfavourable_prognosis"
                                                        ],
                                                        "type": "enum"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Source if known",
                                                "name": "source",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "References",
                                                "name": "references",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Conditions",
                                                "name": "conditions",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Full description of the associated prognosis",
                                                "name": "description",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "If true, the association was made at the variant level, if not the association was made at Genomic Entity level",
                                                "name": "variantActionable",
                                                "type": "boolean"
                                            }
                                        ],
                                        "name": "Prognosis",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "name": "therapies",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "fields": [
                                            {
                                                "doc": "URL where reference information for this therapy association can be found",
                                                "name": "referenceUrl",
                                                "type": "string"
                                            },
                                            {
                                                "doc": "Source",
                                                "name": "source",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "References",
                                                "name": "references",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Conditions",
                                                "name": "conditions",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Drug responses",
                                                "name": "drugResponse",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": {
                                                            "fields": [
                                                                {
                                                                    "doc": "Treatment agent",
                                                                    "name": "TreatmentAgent",
                                                                    "type": "string"
                                                                },
                                                                {
                                                                    "doc": "associated effect of the drug",
                                                                    "name": "drugResponseClassification",
                                                                    "type": {
                                                                        "name": "DrugResponseClassification",
                                                                        "symbols": [
                                                                            "altered_sensitivity",
                                                                            "reduced_sensitivity",
                                                                            "increased_sensitivity",
                                                                            "altered_resistance",
                                                                            "increased_resistance",
                                                                            "reduced_resistance",
                                                                            "increased_risk_of_toxicity",
                                                                            "reduced_risk_of_toxicity",
                                                                            "altered_toxicity",
                                                                            "adverse_drug_reaction",
                                                                            "indication",
                                                                            "contraindication",
                                                                            "dosing_alteration",
                                                                            "increased_dose",
                                                                            "reduced_dose",
                                                                            "increased_monitoring",
                                                                            "increased_efficacy",
                                                                            "reduced_efficacy",
                                                                            "altered_efficacy"
                                                                        ],
                                                                        "type": "enum"
                                                                    }
                                                                }
                                                            ],
                                                            "name": "DrugResponse",
                                                            "type": "record"
                                                        },
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Any other clinical intervention",
                                                "name": "otherInterventions",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "Intervention",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "If true, the association was made at the variant level, if not the association was made at Genomic Entity level",
                                                "name": "variantActionable",
                                                "type": "boolean"
                                            }
                                        ],
                                        "name": "Therapy",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "name": "diagnostic",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "fields": [
                                            {
                                                "doc": "URL where reference information for this prognosis can be found",
                                                "name": "referenceUrl",
                                                "type": "string"
                                            },
                                            {
                                                "doc": "Sources if known",
                                                "name": "sources",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "References",
                                                "name": "references",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Biomarkers",
                                                "name": "biomarkers",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Associated conditions",
                                                "name": "conditions",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Diagnosis",
                                                "name": "diagnosis",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "Diagnosis status",
                                                "name": "diagnosisStatus",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "Other condition",
                                                "name": "otherCondition",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "If true, the association was made at the variant level, if not the association was made at Genomic Entity level",
                                                "name": "variantActionable",
                                                "type": "boolean"
                                            }
                                        ],
                                        "name": "Diagnostic",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "name": "otherAction",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "fields": [
                                            {
                                                "doc": "URL where reference information for this action can be found",
                                                "name": "referenceUrl",
                                                "type": "string"
                                            },
                                            {
                                                "doc": "Action identifier",
                                                "name": "identifier",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "Sources if known",
                                                "name": "sources",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Action type",
                                                "name": "actionType",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "Associated conditions",
                                                "name": "conditions",
                                                "type": [
                                                    "null",
                                                    {
                                                        "items": "string",
                                                        "type": "array"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "Other attributes",
                                                "name": "otherAttributes",
                                                "type": [
                                                    "null",
                                                    {
                                                        "type": "map",
                                                        "values": "string"
                                                    }
                                                ]
                                            },
                                            {
                                                "doc": "If true, the association was made at the variant level, if not the association was made at Genomic Entity level",
                                                "name": "variantActionable",
                                                "type": "boolean"
                                            }
                                        ],
                                        "name": "OtherAction",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        }
                    ],
                    "name": "Actions",
                    "namespace": "org.gel.models.report.avro",
                    "type": "record"
                }
            ]
        }
    ],
    "name": "EvidenceEntryAndVariants",
    "namespace": "org.gel.models.cva.avro",
    "type": "record"
}